Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.director.drools
Class DroolsScoreDirectorFactory

    java.lang.Object
      org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
          org.optaplanner.core.impl.score.director.drools.DroolsScoreDirectorFactory

All Implemented Interfaces:
  InnerScoreDirectorFactory, ScoreDirectorFactory

    public class DroolsScoreDirectorFactory

extends AbstractScoreDirectorFactory

Drools implementation of `ScoreDirectorFactory`.

See Also:
  `DroolsScoreDirector`, `ScoreDirectorFactory`

Field Summary
`protected org.kie.api.KieBase` | `kieBase`

Fields inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
`assertionScoreDirectorFactory, initializingScoreTrend, logger, scoreDefinition, solutionDescriptor`

Constructor Summary
`DroolsScoreDirectorFactory(org.kie.api.KieBase kieBase)`

Method Summary
`DroolsScoreDirector` | `buildScoreDirector(boolean constraintMatchEnabledPreference)` Like `InnerScoreDirectorFactory.buildScoreDirector()`, but optionally disables `ConstraintMatch` tracking for more performance (presuming the `ScoreDirector` implementation actually supports it to begin with).
`org.kie.api.KieBase` | `getKieBase()`

Methods inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
`assertScoreFromScratch, buildScoreDirector, getAssertionScoreDirectorFactory, getInitializingScoreTrend, getScoreDefinition, getSolutionDescriptor, setAssertionScoreDirectorFactory, setInitializingScoreTrend, setScoreDefinition, setSolutionDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kieBase

    protected org.kie.api.KieBase kieBase

Constructor Detail

### DroolsScoreDirectorFactory

    public DroolsScoreDirectorFactory(org.kie.api.KieBase kieBase)

Method Detail

### getKieBase

    public org.kie.api.KieBase getKieBase()

### buildScoreDirector

    public DroolsScoreDirector buildScoreDirector(boolean constraintMatchEnabledPreference)

  Description copied from interface: `InnerScoreDirectorFactory`
  Like `InnerScoreDirectorFactory.buildScoreDirector()`, but optionally disables `ConstraintMatch` tracking for more performance (presuming the `ScoreDirector` implementation actually supports it to begin with).

  Parameters:
    `constraintMatchEnabledPreference` - false if a `ScoreDirector` implementation should not do `ConstraintMatch` tracking even if it supports it.
  Returns:
    never null
  See Also:
    `ScoreDirector.isConstraintMatchEnabled()`, `ScoreDirector.getConstraintMatchTotals()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.